# Method: accounts.listTransferableSkus

- [HTTP request](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#body.ListTransferableSkusResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#body.aspect)
- [TransferableSku](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#TransferableSku)
  - [JSON representation](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#TransferableSku.SCHEMA_REPRESENTATION)
- [TransferEligibility](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#TransferEligibility)
  - [JSON representation](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#TransferEligibility.SCHEMA_REPRESENTATION)
- [Reason](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#Reason)
- [Try it!](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#try-it)

List `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#TransferableSku`s of a customer based on the Cloud Identity ID or Customer Name in the request.

Use this method to list the entitlements information of an unowned customer. You should provide the customer's Cloud Identity ID or Customer Name.

Possible error codes:

- PERMISSION_DENIED:
  - The customer doesn't belong to the reseller and has no auth token.
  - The supplied auth token is invalid.
  - The reseller account making the request is different from the reseller account in the query.
- INVALID_ARGUMENT: Required request parameters are missing or invalid.

Return value: A list of the customer's `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#TransferableSku`.

### HTTP request

`POST https://cloudchannel.googleapis.com/v1/{parent=accounts/*}:listTransferableSkus`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The reseller account's resource name. Parent uses the format: accounts/{account_id} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "pageSize": integer, "pageToken": string, "authToken": string, "languageCode": string, // Union field `transferred_customer_identity` can be only one of the following: "cloudIdentityId": string, "customerName": string // End of list of possible types for union field `transferred_customer_identity`. } ``` |

| Fields ||
|---|---|
| `pageSize` | `integer` The requested page size. Server might return fewer results than requested. If unspecified, returns at most 100 SKUs. The maximum value is 1000; the server will coerce values above 1000. Optional. |
| `pageToken` | `string` A token for a page of results other than the first page. Obtained using `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#body.ListTransferableSkusResponse.FIELDS.next_page_token` of the previous `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#google.cloud.channel.v1.CloudChannelService.ListTransferableSkus` call. Optional. |
| `authToken` | `string` Optional. The super admin of the resold customer generates this token to authorize a reseller to access their Cloud Identity and purchase entitlements on their behalf. You can omit this token after authorization. See <https://support.google.com/a/answer/7643790> for more details. |
| `languageCode` | `string` The BCP-47 language code. For example, "en-US". The response will localize in the corresponding language code, if specified. The default value is "en-US". Optional. |
| Union field `transferred_customer_identity`. Specifies the identity of transferred customer. Either a cloud_identity_id of the customer or the customer name is required to look up transferable SKUs. `transferred_customer_identity` can be only one of the following: ||
| `cloudIdentityId` | `string` Customer's Cloud Identity ID |
| `customerName` | `string` A reseller is required to create a customer and use the resource name of the created customer here. Customer_name uses the format: accounts/{account_id}/customers/{customer_id} |

### Response body

Response message for `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#google.cloud.channel.v1.CloudChannelService.ListTransferableSkus`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "transferableSkus": [ { object (`https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#TransferableSku`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `transferableSkus[]` | ``object (`https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#TransferableSku`)`` Information about existing SKUs for a customer that needs a transfer. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass to `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#body.request_body.FIELDS.page_token` to obtain that page. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## TransferableSku

TransferableSku represents information a reseller needs to view existing provisioned services for a customer that they do not own. Read-only.

| JSON representation |
|---|
| ``` { "transferEligibility": { object (`https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#TransferEligibility`) }, "sku": { object (`https://docs.cloud.google.com/channel/docs/reference/rest/v1/Sku`) }, "legacySku": { object (`https://docs.cloud.google.com/channel/docs/reference/rest/v1/Sku`) } } ``` |

| Fields ||
|---|---|
| `transferEligibility` | ``object (`https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#TransferEligibility`)`` Describes the transfer eligibility of a SKU. |
| `sku` | ``object (`https://docs.cloud.google.com/channel/docs/reference/rest/v1/Sku`)`` The SKU pertaining to the provisioning resource as specified in the Offer. |
| `legacySku` | ``object (`https://docs.cloud.google.com/channel/docs/reference/rest/v1/Sku`)`` Optional. The customer to transfer has an entitlement with the populated legacy SKU. |

## TransferEligibility

Specifies transfer eligibility of a SKU.

| JSON representation |
|---|
| ``` { "isEligible": boolean, "description": string, "ineligibilityReason": enum (`https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#Reason`) } ``` |

| Fields ||
|---|---|
| `isEligible` | `boolean` Whether reseller is eligible to transfer the SKU. |
| `description` | `string` Localized description if reseller is not eligible to transfer the SKU. |
| `ineligibilityReason` | ``enum (`https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listTransferableSkus#Reason`)`` Specified the reason for ineligibility. |

## Reason

Reason of ineligibility.

| Enums ||
|---|---|
| `REASON_UNSPECIFIED` | Not used. |
| `PENDING_TOS_ACCEPTANCE` | Reseller needs to accept TOS before transferring the SKU. |
| `SKU_NOT_ELIGIBLE` | Reseller not eligible to sell the SKU. |
| `SKU_SUSPENDED` | SKU subscription is suspended |
| `CHANNEL_PARTNER_NOT_AUTHORIZED_FOR_SKU` | The reseller is not authorized to transact on this Product. See <https://support.google.com/channelservices/answer/9759265> |